function [E,G,x,w]=green(N)
% To do: 
% i) Romberg extrapolation to N->\infty
% ii) Include potential and solve Sturm-Liouville problem on a
% segment
% iii) other boundary conditions (advantage on finite differences?)
% Using G^(-1) as a better definition of (d/dx)^2 with b.c. on a
% non-uniform grid adapted to the flat measure
  
  if nargin==0
    N=64
  end

  [x,w]=gaussleg(N);

  G=(1+x')*(1-x)/2;			% Green's function on [-1,1]
  
  G=sqrt(w')*sqrt(w).*min(G,G');	% include sqrt(w) factors
  
  E=sqrt(sort(1./eig(G)));		% get the spectrum

  
  
  

% Warning
% notes: remember that G contains a similarity transformation defined
% by the vector w of Gaussian weights. For ex. f=rand(size(x'));
% f=G*f;...;f=G*f; converges to the ground state MULTIPLIED by sqrt(w)
% hence sqrt(w).*cos(pi*x/2).
