function [x,w,p]=gausscheb(n)
% CHEBYCHEV POLYNOMIALS: zeroes and gaussian integration coefficients. 
% Usage:
%	[x,w,p]=gauscheb(n)
%
% 	returns p=T_j(x_k), j,k=0:n-1 (orthonormal)
%       	x roots of T_{n}
%	  	w Gauss integration weights for the measure
%	  	\int  dx /sqrt(1-x^2)
%
%
disp('Building the companion matrix of H_n(x)');
disp(' ');


l1=ones(n-1,1)/2;
l1(1)=1;

l2=ones(n-1,1)/2;

D=diag(l2,-1)+diag(l1,1);

disp('            ... and diagonalizing it:');
disp(' ');

[U,X]=eig(D);
[x,ind]=sort(-diag(X)');

U=U(:,ind);

disp('Build Tchebyshev polynomials and Gauss weights');
disp(' ');

p0=U;
w=p0(1,:).^2;
p=U/diag(p0(1,:));

